#!/bin/bash
# Copyright (c) 2016-2020 Michael Stauber <mstauber@solarspeed.net>, SOLARSPEED.NET
# All Rights Reserved.
#
# Scripts takes UUID as argument and reports back IPv6 localhost VNC port of Container.

while getopts ":u:" opt; do
  case $opt in
    u) uuid="$OPTARG"
    ;;
    \?) echo "Invalid option -$OPTARG" >&2
    ;;
  esac
done

if [ "$uuid" != "" ];then
        PORT=`prlctl list $uuid --info|grep "^Remote display:"|cut -d = -f3|cut -d \  -f1`
else
        echo "You need to specify a VPS UUID:"
        echo "$0 -u <UUID>"
        echo ""
        exit
fi

if [ "$PORT" != "" ];then
        echo $PORT
else
        echo "-1"
fi

exit